Resource Center/Elastic Bare Metal Management(Plus)
PUTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required
UpdateBareMetal2Gateway
UpdateBareMetal2Gateway
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe gateway UUID.
Body Fields
updatebaremetal2gatewayObjectRequiredupdatebaremetal2gateway request body object.
sshPortIntegerOptional. The SSH port.
usernameStringOptional. The username of the gateway.
passwordStringOptional. The password of the gateway.
nameStringOptional. The name of the gateway.
descriptionStringOptional. The detailed description of the gateway.
managementIpStringOptional. The IP address of the management node.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal2/gateways/{uuid}/actions
/zstack/v1/baremetal2/gateways/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal2/gateways/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebaremetal2gateway":{"sshPort":1,"username":"<username>","password":"<password>","name":"<name>","description":"<description>","managementIp":"<managementIp>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "username": "username", "password": "password", "sshPort": 22.0, "zoneUuid": "e5337859dc214ce49ce31acea22a3bab", "name": "BM_GATEWAY", "uuid": "ce1634f0ff72403fbb457b1630420096", "description": "This is a bare metal gateway.", "managementIp": "192.168.0.10", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
